/*
 * glcd.h
 *
 *  Created on: 2018/08/04
 *      Author: user
 */

#ifndef GLCD_H_
#define GLCD_H_

#define LCD_WIDTH				128
#define LCD_WIDTH_HALF			64		// CS1/CS2の幅
#define LCD_BYTE_HEIGHT			8		// 8バイト高=64ドット
#define LCD_LINES_12DOT			5		// 12ドットフォントによる表示行数

#define MCP23017_OK				0
#define MCP23017_ERROR			1

extern unsigned int glcd_disp_status;

int mcp23017_init();
int mcp23017_set_gpa(unsigned int data);
int mcp23017_set_gpb(unsigned int data);

void glcd_rst_h();
void glcd_rst_l();
void glcd_cs1_h();
void glcd_cs1_l();
void glcd_cs2_h();
void glcd_cs2_l();
void glcd_rw_h();
void glcd_rw_l();
void glcd_e_h();
void glcd_e_l();
void glcd_di_h();
void glcd_di_l();
void glcd_backlight_on();
void glcd_backlight_off();

void glcd_init(void);
void glcd_write(uint8_t cmd);
void set_cmd_to_lcd(uint8_t cmd);
void set_data_to_lcd(uint8_t data);
void glcd_fill(uint8_t patt);
void display_lcd_data(uint8_t lcd_disp_data[]);
void display_lcd_cs1(uint8_t lcd_disp_data[], uint8_t page, uint8_t x1, uint8_t x2);
void display_lcd_cs2(uint8_t lcd_disp_data[], uint8_t page, uint8_t x1, uint8_t x2);
void invert_lcd_disp_data(uint8_t lcd_disp_data[], int lineheight, int line, int x1, int x2);
void disp_akiduki_sample();
void disp_akiduki_sample2();

void GLCD_DISP_ON();
void GLCD_DISP_OF();
void GLCD_STRTLNE(uint8_t X);

void glcd_db(unsigned int data);

#endif /* GLCD_H_ */
